src/fvm/fvm_nodal_extract.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
fvm_nodal_extract.h File Reference
`#include "cs_defs.h"`
`#include "fvm_defs.h"`
`#include "fvm_nodal.h"`
Include dependency graph for fvm_nodal_extract.h:

Go to the source code of this file.

## Functions
void | fvm_nodal_get_global_vertex_num (const fvm_nodal_t *this_nodal, cs_gnum_t *g_vtx_num)
void | fvm_nodal_get_global_element_num (const fvm_nodal_t *this_nodal, fvm_element_t element_type, cs_gnum_t *g_elt_num)
void | fvm_nodal_get_vertex_coords (const fvm_nodal_t *this_nodal, cs_interlace_t interlace, cs_coord_t *vertex_coords)
void | fvm_nodal_get_element_centers (const fvm_nodal_t *this_nodal, cs_interlace_t interlace, int entity_dim, cs_coord_t *cell_centers)
void | fvm_nodal_get_strided_connect (const fvm_nodal_t *this_nodal, fvm_element_t element_type, cs_lnum_t *connectivity)
void | fvm_nodal_get_vertex_elements (const fvm_nodal_t *this_nodal, int entity_dim, cs_lnum_t **element_index, cs_lnum_t **element_id)
void | fvm_nodal_extents (const fvm_nodal_t *this_nodal, double tolerance, double extents[])

## Function Documentation

void fvm_nodal_extents | ( | const fvm_nodal_t * | this_nodal,
|  | double | tolerance,
|  | double | extents[]
| ) |  |

void fvm_nodal_get_element_centers | ( | const fvm_nodal_t * | this_nodal,
|  | cs_interlace_t | interlace,
|  | int | entity_dim,
|  | cs_coord_t * | cell_centers
| ) |  |

void fvm_nodal_get_global_element_num | ( | const fvm_nodal_t * | this_nodal,
|  | fvm_element_t | element_type,
|  | cs_gnum_t * | g_elt_num
| ) |  |

void fvm_nodal_get_global_vertex_num | ( | const fvm_nodal_t * | this_nodal,
|  | cs_gnum_t * | g_vtx_num
| ) |  |

void fvm_nodal_get_strided_connect | ( | const fvm_nodal_t * | this_nodal,
|  | fvm_element_t | element_type,
|  | cs_lnum_t * | connectivity
| ) |  |

void fvm_nodal_get_vertex_coords | ( | const fvm_nodal_t * | this_nodal,
|  | cs_interlace_t | interlace,
|  | cs_coord_t * | vertex_coords
| ) |  |

void fvm_nodal_get_vertex_elements | ( | const fvm_nodal_t * | this_nodal,
|  | int | entity_dim,
|  | cs_lnum_t ** | element_index,
|  | cs_lnum_t ** | element_id
| ) |  |